CREATE TABLE mow_mra_mappers (
    FAMILY_CODE          VARCHAR2(120),
    DATA_SOURCE_NAME     VARCHAR2(120),
    DATA_COLUMN          VARCHAR2(120),
    DEST_TABLE_NAME      VARCHAR2(120),
    DEST_COLUMN_NAME     VARCHAR2(120),
    COLUMN_DATA_TYPE     VARCHAR2(120)    NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    FAMILY_CODE          VARCHAR2(120),
    DATA_SOURCE_NAME     VARCHAR2(120),
    DATA_COLUMN          VARCHAR2(120),
    DEST_TABLE_NAME      VARCHAR2(120),
    DEST_COLUMN_NAME     VARCHAR2(120),
    COLUMN_DATA_TYPE     VARCHAR2(120)    NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_mow_mra_mappers PRIMARY KEY (FAMILY_CODE, DATA_SOURCE_NAME, DATA_COLUMN, FAMILY_CODE, DATA_SOURCE_NAME, DATA_COLUMN)
);
